const { Sequelize } = require('sequelize');

const clientConfig = {
    id: {
        type: Sequelize.INTEGER,
        primaryKey: true,
        autoIncrement: true,
    },
    clientId: {
        type: Sequelize.STRING,
    },
    clientSecret: {
        type: Sequelize.STRING,
    },
    requestLimit: {
        type: Sequelize.INTEGER,
    },
    currentToken: {
        type: Sequelize.STRING(2000),
    },
    tokenExpiration: {
        type: Sequelize.STRING,
    },
};

module.exports = function (sequelize) {
    const ClientConfig = sequelize.define(
        'FDClientConfig',
        clientConfig,
        {
            timestamps: false,
            freezeTableName: true,
        }
    );
    return ClientConfig;
};
