const { Sequelize } = require('sequelize');

const sequenceNumber = {
    id: {
        type: Sequelize.INTEGER,
        primaryKey: true,
        autoIncrement: true,
    },
    sequenceNumber: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 0,
    },
    maximumSequenceNumber: {
        type: Sequelize.INTEGER,
        allowNull: false,
        defaultValue: 0,
    },
    model: {
        type: Sequelize.STRING,
    },
};

module.exports = function (sequelize) {
    const sequenceNumbers = sequelize.define(
        'FDsequenceNumber',
        sequenceNumber,
        {
            timestamps: false,
            freezeTableName: true,
        }
    );
    return sequenceNumbers;
};