const { Sequelize } = require('sequelize');

const suppliers = {
    isConnected: {
        type: Sequelize.BOOLEAN,
        defaultValue: false,
    },
    commercialName: {
        type: Sequelize.STRING,
        allowNull: false,
    },
    email: {
        type: Sequelize.STRING,
    },
    phone: {
        type: Sequelize.STRING,
    },
    website: {
        type: Sequelize.STRING,
    },
    mailingAddress: {
        type: Sequelize.JSON,
    },
    physicalAddress: {
        type: Sequelize.JSON,
    },
    pythosanitaryNumber: {
        type: Sequelize.STRING,
    },
    sequenceNumber: {
        type: Sequelize.INTEGER,
        allowNull: false,
    },
    organizationId: {
        type: Sequelize.STRING,
        primaryKey: true,
    },
    companyGln: {
        type: Sequelize.STRING,
    },
    name: {
        type: Sequelize.STRING,
    },
    endDate: {
        type: Sequelize.DATE,
    },
    rfhRelationId: {
        type: Sequelize.INTEGER,
    },
    organizationType: {
        type: Sequelize.STRING,
    },
    paymentProviders: {
        type: Sequelize.STRING,
    },
};

module.exports = function (sequelize) {
    const Suppliers = sequelize.define(
        'FDsuppliers',
        suppliers,
        {
            timestamps: false,
            freezeTableName: true,
        }
    );
    return Suppliers;
};