const { Sequelize } = require('sequelize');

const supplyLine = {
    supplyLineId: {
        type: Sequelize.STRING,
        primaryKey: true,
    },
    status: {
        type: Sequelize.STRING,
    },
    supplierOrganizationId: {
        type: Sequelize.STRING,
    },
    pricePerPiece: {
        type: Sequelize.JSON,
    },
    numberOfPieces : {
        type: Sequelize.INTEGER,
    },
    deliveryPeriod: {
        type: Sequelize.JSON,
    },
    orderPeriod: {
        type: Sequelize.JSON,
    },
    wharehouseId: {
        type: Sequelize.STRING,
    },
    sequenceNumber: {
        type: Sequelize.INTEGER,
    },
    type: {
        type: Sequelize.STRING,
    },
    isDeleted: {
        type: Sequelize.BOOLEAN,
    },
    salesUnit: {
        type: Sequelize.STRING,
    },
    agreementReferenceCode: {
        type: Sequelize.STRING,
    },
    agreementReferenceDescription: {
        type: Sequelize.STRING,
    },
    isLimited: {
        type: Sequelize.BOOLEAN,
    },
    isCustomerSpecific: {
        type: Sequelize.BOOLEAN,
    }
};

module.exports = function (sequelize) {
    const SupplyLine = sequelize.define(
        'FDsupplyLine',
        supplyLine,
        {
            timestamps: false,
            freezeTableName: true,
        }
    );
    return SupplyLine;
};