const { Sequelize } = require('sequelize');

const packingConfigurations = {
    packingConfigurationId: {
        type: Sequelize.STRING,
        primaryKey: true,
    },
    piecesPerPackage: {
        type: Sequelize.INTEGER,
    },
    bunchesPerPackage: {
        type: Sequelize.INTEGER,
    },
    photoUrl: {
        type: Sequelize.STRING,
    },
    packagesPerLayer: {
        type: Sequelize.INTEGER,
    },
    layersPerLoadCarrier: {
        type: Sequelize.INTEGER,
    },
    additionalPricePerPiece: {
        type: Sequelize.STRING,
    },
    transportHeightInCm: {
        type: Sequelize.INTEGER,
    },
    loadCarrierType: {
        type: Sequelize.STRING,
    },
    isPrimary: {
        type: Sequelize.BOOLEAN,
    },
};

module.exports = function (sequelize) {
    const PackingConfigurations = sequelize.define(
        'FDpackingConfigurations',
        packingConfigurations,
        {
            timestamps: false,
            freezeTableName: true,
        }
    );
    return PackingConfigurations;
};