const { Sequelize } = require('sequelize');

const tradeItem = {
    tradeItemId: {
        type: Sequelize.STRING,
        primaryKey: true,
    },
    supplierOrganizationId: {
        type: Sequelize.STRING
    },
    code: {
        type: Sequelize.STRING
    },
    gtin: {
        type: Sequelize.STRING
    },
    vbnProductCode: {
        type: Sequelize.STRING
    },
    name: {
        type: Sequelize.STRING
    },
    isDeleted: {
        type: Sequelize.BOOLEAN,
    },
    sequenceNumber: {
        type: Sequelize.INTEGER,
    },
    tradeItemVersion: {
        type: Sequelize.INTEGER,
    },
    isCustomerSpecific: {
        type: Sequelize.BOOLEAN,
    },
    isHiddenInCatalog: {
        type: Sequelize.BOOLEAN,
    }
};

module.exports = function (sequelize) {
    const TradeItem = sequelize.define(
        'FDtradeItem',
        tradeItem,
        {
            timestamps: false,
            freezeTableName: true,
        }
    );
    return TradeItem;
};